> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribe video



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json post /library/{libraryId}/videos/{videoId}/transcribe
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.5
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /library/{libraryId}/videos/{videoId}/transcribe:
    post:
      tags:
        - Manage Videos
      summary: Transcribe video
      operationId: Video_TranscribeVideo
      parameters:
        - name: libraryId
          in: path
          required: true
          schema:
            type: integer
            format: int64
          x-position: 1
        - name: videoId
          in: path
          required: true
          schema:
            type: string
          x-position: 2
        - name: force
          in: query
          schema:
            type: boolean
            default: false
          x-position: 4
      requestBody:
        x-name: transcribeSettings
        description: Used to override video library transcription settings, null by default
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranscribeSettings'
        x-position: 5
      responses:
        '200':
          description: The transcription was queued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
        '400':
          description: Invalid request for transcription queue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
        '401':
          description: The request authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
        '403':
          description: The request authorization failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
        '404':
          description: The requested video was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModel'
      security:
        - AccessKey: []
components:
  schemas:
    TranscribeSettings:
      type: object
      additionalProperties: false
      properties:
        targetLanguages:
          type: array
          description: >-
            List of languages that will be used as target languages, use ISO
            639-1 language codes.
          nullable: true
          items:
            type: string
        generateTitle:
          type: boolean
          description: Whether video title should be automatically generated.
          nullable: true
        generateDescription:
          type: boolean
          description: Whether video description should be automatically generated.
          nullable: true
        generateChapters:
          type: boolean
          description: Whether video chapters should be automatically generated.
          nullable: true
        generateMoments:
          type: boolean
          description: Whether video moments should be automatically generated.
          nullable: true
        sourceLanguage:
          type: string
          description: Video source language, use ISO 639-1 language code.
          nullable: true
    StatusModel:
      type: object
      additionalProperties: false
      properties:
        success:
          type: boolean
          description: Determines if the request was successful
        message:
          type: string
          description: Response message description
          nullable: true
        statusCode:
          type: integer
          description: The response status code
          format: int32
  securitySchemes:
    AccessKey:
      type: apiKey
      description: AccessKey based authentication
      name: AccessKey
      in: header

````